GCLOUD_COMPUTE_URL-MAPS_ADD-PATH-MATCHER(1)

NAME

gcloud compute url-maps add-path-matcher - add a path matcher to a URL map

SYNOPSIS

gcloud compute url-maps add-path-matcher NAME --path-matcher-name=PATH_MATCHER_NAME (--default-backend-bucket=DEFAULT_BACKEND_BUCKET | --default-service=DEFAULT_SERVICE) [--backend-bucket-path-rules=PATH=BUCKET,[PATH=BUCKET,...]] [--backend-service-path-rules=PATH=SERVICE,[PATH=SERVICE,...]] [--delete-orphaned-path-matcher] [--description=DESCRIPTION] [--path-rules=PATH=SERVICE,[PATH=SERVICE,...]] [--existing-host=EXISTING_HOST | --new-hosts=NEW_HOST,[NEW_HOST,...]] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute url-maps add-path-matcher is used to add a path matcher to a URL map. A path matcher maps HTTP request paths to backend services or backend buckets. Each path matcher must be referenced by at least one host rule. This command can create a new host rule through the --new-hosts flag or it can reconfigure an existing host rule to point to the newly added path matcher using --existing-host. In the latter case, if a path matcher is orphaned as a result of the operation, this command will fail unless --delete-orphaned-path-matcher is provided.

POSITIONAL ARGUMENTS

    NAME
        The name of the URL map.

REQUIRED FLAGS

    --path-matcher-name=PATH_MATCHER_NAME
        The name to assign to the path matcher.

Exactly one of these must be specified:

    --default-backend-bucket=DEFAULT_BACKEND_BUCKET
        A backend bucket that will be used for requests that the path matcher cannot match. Exactly one of --default-service or --default-backend-bucket is required.

    --default-service=DEFAULT_SERVICE
        A backend service that will be used for requests that the path matcher cannot match. Exactly one of --default-service or --default-backend-bucket is required.

OPTIONAL FLAGS

    --backend-bucket-path-rules=PATH=BUCKET,[PATH=BUCKET,...]
        Rules for mapping request paths to backend buckets.

    --backend-service-path-rules=PATH=SERVICE,[PATH=SERVICE,...]
        Rules for mapping request paths to services.

    --delete-orphaned-path-matcher
        If provided and a path matcher is orphaned as a result of this command, the command removes the orphaned path matcher instead of failing.

    --description=DESCRIPTION
        An optional, textual description for the path matcher.

    --path-rules=PATH=SERVICE,[PATH=SERVICE,...]
        Rules for mapping request paths to services.

At most one of these may be specified:

    --existing-host=EXISTING_HOST
        An existing host rule to tie the new path matcher to. Although host rules can contain more than one host, only a single host is needed to uniquely identify the host rule.

    --new-hosts=NEW_HOST,[NEW_HOST,...]
        If specified, a new host rule with the given hosts is created and the path matcher is tied to the new host rule.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a rule for mapping the path /search/* to the hypothetical search-service, /static/* to the static-bucket backend bucket and /images/* to the images-service under the hosts google.com and *.google.com, run:
    $ gcloud compute url-maps add-path-matcher MY-URL-MAP \
        --path-matcher-name MY-MATCHER \
        --default-service MY-DEFAULT-SERVICE \
        --backend-service-path-rules \
        '/search/*=search_service,/images/*=images-service' \
        --backend-bucket-path-rules '/static/*=static-bucket' \
        --new-hosts google.com '*.google.com'
Note that a default service or default backend bucket must be provided to handle paths for which there is no mapping.